Bug 137521 - gaim-1.0.2-0.FC2 SIGABRT
gaim-1.0.2-0.FC2 SIGABRT
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-29 03:45 EDT by Nigel Horne
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-11 22:59:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (without debuginfo installed) (5.65 KB, text/plain)
2004-11-17 12:06 EST, Sertaç Ö. Yıldız
no flags Details

  None (edit)
Description Nigel Horne 2004-10-29 03:45:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.3)
Gecko/20040922

Description of problem:
Since using up2date to update gaim, gaim no longer starts.
Here is the end of the trace using "strace gaim":

...
read(4,
"\211PNG\r\n\32\n\0\0\0\rIHDR\0\0\0D\0\0\0<\10\6\0\0\0\337"..., 4096)
= 4096
read(4, "\323\364\367\367\223H$0\f\3M\323\210\305b\230\246I:\235"...,
4096) = 1974
close(4)                                = 0
munmap(0xf6a98000, 4096)                = 0
access("/usr/share/pixmaps/gaim/dialogs/gaim_warning.png", F_OK) = 0
open("/usr/share/pixmaps/gaim/dialogs/gaim_warning.png",
O_RDONLY|O_LARGEFILE) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=4850, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xf6a98000
read(4,
"\211PNG\r\n\32\n\0\0\0\rIHDR\0\0\0D\0\0\0<\10\6\0\0\0\337"..., 4096)
= 4096
_llseek(4, 0, [0], SEEK_SET)            = 0
read(4,
"\211PNG\r\n\32\n\0\0\0\rIHDR\0\0\0D\0\0\0<\10\6\0\0\0\337"..., 4096)
= 4096
read(4, "E\212\251!\323|~\261\310\355\357\17\217\255[\222_\'A\5"...,
4096) = 754
brk(0)                                  = 0x8e1000
brk(0x905000)                           = 0x8e1000
mmap2(NULL, 1048576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf68d3000
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
tgkill(3206, 3206, SIGABRT)             = 0
--- SIGABRT (Aborted) @ 0 (0) ---
+++ killed by SIGABRT +++


Version-Release number of selected component (if applicable):
gaim-1.0.2-0.FC2

How reproducible:
Always

Steps to Reproduce:
1. Install gaim 1.0.0
2. Update to gaim-1.0.2-0.FC2 using "up2date"
3. Attempt to start gaim
    

Actual Results:  "aborted"

Expected Results:  Gaim should start

Additional info:
Comment 1 Warren Togami 2004-10-29 03:51:15 EDT
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/2/i386/debug/gaim-debuginfo-1.0.2-0.FC2.i386.rpm
Please install the debuginfo and get a gdb stack trace.  Please use
"thread apply all bt full".

One possible cause of SIGABRT is glibc's malloc killer, which kills
the program in the case of double free() or some types of memory
corruption.  Does it run with MALLOC_CHECK_=0?
Comment 2 Nigel Horne 2004-10-29 03:59:04 EDT
I found that it works if I run gaim as 'root', it only fails if I run 
as myself. That may be because I have no accounts set up with root, 
which may give a clue where it's failing. 
 
I use MALLOC_CHECK_=2. It also fails with MALLOC_CHECK_=0, but with a 
different error message: 
 
 
[njh@njh njh]$ MALLOC_CHECK_=0 gaim 
 
(process:3968): GLib-ERROR (recursed) **: gmem.c:140: failed to 
allocate 10 bytes 
aborting... 
Aborted 
[njh@njh njh]$ 
 
Comment 3 Warren Togami 2004-10-29 04:03:57 EDT
Odd, many people have tested this package extensively before release.
 Is there anything non-standard about your system?  What kernel?
Comment 4 Mark Doliner 2004-10-29 08:28:50 EDT
The debug info from running "gaim -d" might be helpful (although I
have a feeling it won't be).  Do you have accounts set to sign-on
automatically?  If so, what happens when you run "gaim -n"?
Comment 5 Nigel Horne 2004-10-29 08:31:22 EDT
[njh@njh njh]$ gaim -d 
Aborted 
[njh@njh njh]$ gaim -n 
Aborted 
[njh@njh njh]$ MALLOC_CHECK_=0 gaim -d 
 
(process:3546): GLib-ERROR (recursed) **: gmem.c:173: failed to 
allocate 4 bytes 
aborting... 
Aborted 
[njh@njh njh]$ MALLOC_CHECK_=0 gaim -n 
 
(process:3547): GLib-ERROR (recursed) **: gmem.c:140: failed to 
allocate 5 bytes 
aborting... 
Aborted 
[njh@njh njh]$ 
Comment 6 Warren Togami 2004-10-29 08:35:25 EDT
Please answer the kernel question, and supply a backtrace.

The results in Comment #5 indicate to me that your system is screwed
in some way.  That is just not supposed to happen.  It is like you
have corrupted binaries or something?

What does "rpm -V gaim" say?
Comment 7 Nigel Horne 2004-10-29 08:40:18 EDT
The kernel is standard, I have not rebuilt from the FC2 distribution. 
 
[root@njh njh]# rpm -V gaim 
/etc/security/selinux/file_contexts: No such file or directory 
[root@njh njh]# uname -a 
Linux njh.bandsman.co.uk 2.6.8-1.521 #1 Mon Aug 16 09:01:18 EDT 2004 
i686 i686 i386 GNU/Linux 
[root@njh njh]# rpm -q kernel 
kernel-2.6.8-1.521 
[root@njh njh]# 
Comment 8 Warren Togami 2004-10-29 08:45:07 EDT
Please supply the backtrace as requested in Comment #1.  Otherwise I
have NO IDEA why you are seeing this problem and nobody else has
complained yet.  Will keep this report open for a few days to see if
others experience the same problem.
Comment 9 Nigel Horne 2004-10-29 08:58:32 EDT
r[root@njh tmp]# rpm -ivh gaim-debuginfo-1.0.2-0.FC2.i386.rpm 
/etc/security/selinux/file_contexts: No such file or directory 
Preparing...                
########################################### [100%] 
   1:gaim-debuginfo         
########################################### [100%] 
[root@njh tmp]# exit 
[njh@njh tmp]$ gdb /usr/bin/gaim 
GNU gdb Red Hat Linux (6.0post-0.20040223.19rh) 
Copyright 2004 Free Software Foundation, Inc. 
GDB is free software, covered by the GNU General Public License, and 
you are 
welcome to change it and/or distribute copies of it under certain 
conditions. 
Type "show copying" to see the conditions. 
There is absolutely no warranty for GDB.  Type "show warranty" for 
details. 
This GDB was configured as "i386-redhat-linux-gnu"...Using host 
libthread_db library "/lib/tls/libthread_db.so.1". 
 
(gdb) thread apply all bt ful 
(gdb) run 
Starting program: /usr/bin/gaim 
[Thread debugging using libthread_db enabled] 
[New Thread -154414432 (LWP 4246)] 
 
Program received signal SIGABRT, Aborted. 
[Switching to Thread -154414432 (LWP 4246)] 
0x00bf77a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2 
(gdb) 
Comment 10 Luke Schierer 2004-10-29 09:10:47 EDT
what happens if you disable selinux? 
Comment 11 Stu Tomlinson 2004-10-29 09:28:09 EDT
You need to get the backtrace _after_ it's crashed
Also, another possible cause of this sort of abort is if you're very
low on memory - what's the output of "free" ?
Comment 12 Nigel Horne 2004-10-29 09:56:59 EDT
I turned off selinux by setting selinux=0 in grub.conf and rebooting. 
No affect: 
 
[njh@njh njh]$ gaim 
Aborted 
 
Stack trace after crash: 
 
[njh@njh njh]$ gdb /usr/bin/gaim 
GNU gdb Red Hat Linux (6.0post-0.20040223.19rh) 
Copyright 2004 Free Software Foundation, Inc. 
GDB is free software, covered by the GNU General Public License, and 
you are 
welcome to change it and/or distribute copies of it under certain 
conditions. 
Type "show copying" to see the conditions. 
There is absolutely no warranty for GDB.  Type "show warranty" for 
details. 
This GDB was configured as "i386-redhat-linux-gnu"...Using host 
libthread_db library "/lib/tls/libthread_db.so.1". 
 
(gdb) run 
Starting program: /usr/bin/gaim 
[Thread debugging using libthread_db enabled] 
[New Thread -151137632 (LWP 2792)] 
 
Program received signal SIGABRT, Aborted. 
[Switching to Thread -151137632 (LWP 2792)] 
0x004df7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2 
(gdb) thread apply all bt ful 
 
Thread 1 (Thread -151137632 (LWP 2792)): 
#0  0x004df7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2 
No symbol table info available. 
#1  0x00852e49 in raise () from /lib/tls/libc.so.6 
No symbol table info available. 
#2  0x00854872 in abort () from /lib/tls/libc.so.6 
No symbol table info available. 
#3  0x0088e983 in malloc_check () from /lib/tls/libc.so.6 
No symbol table info available. 
#4  0x0088c045 in malloc () from /lib/tls/libc.so.6 
No symbol table info available. 
#5  0x0045d977 in g_malloc () from /usr/lib/libglib-2.0.so.0 
No symbol table info available. 
#6  0x00443a33 in g_iconv_close () from /usr/lib/libglib-2.0.so.0 
No symbol table info available. 
#7  0x00443e9d in g_iconv_close () from /usr/lib/libglib-2.0.so.0 
No symbol table info available. 
#8  0x00444151 in g_convert () from /usr/lib/libglib-2.0.so.0 
No symbol table info available. 
#9  0x00444589 in g_convert_with_fallback () 
from /usr/lib/libglib-2.0.so.0 
No symbol table info available. 
#10 0x00c469bc in gdk_utf8_to_string_target () 
   from /usr/lib/libgdk-x11-2.0.so.0 
No symbol table info available. 
#11 0x00c4bae0 in gdk_window_set_geometry_hints () 
   from /usr/lib/libgdk-x11-2.0.so.0 
No symbol table info available. 
#12 0x00c4bc76 in gdk_window_set_geometry_hints () 
   from /usr/lib/libgdk-x11-2.0.so.0 
No symbol table info available. 
#13 0x00c4bd12 in gdk_window_set_title () 
from /usr/lib/libgdk-x11-2.0.so.0 
No symbol table info available. 
#14 0x00c48d8a in gdk_window_new () from /usr/lib/libgdk-x11-2.0.so.0 
No symbol table info available. 
#15 0x00c2bf3d in gdk_display_open () 
from /usr/lib/libgdk-x11-2.0.so.0 
No symbol table info available. 
#16 0x00c0ba56 in gdk_display_open_default_libgtk_only () 
   from /usr/lib/libgdk-x11-2.0.so.0 
No symbol table info available. 
---Type <return> to continue, or q <return> to quit--- 
#17 0x00227daa in gtk_init_check () from /usr/lib/libgtk-x11-2.0.so.0 
No symbol table info available. 
#18 0x00b9f05a in main (argc=1, argv=0xfefff2c4) at main.c:749 
        opt_acct = 0 
        opt_help = 0 
        opt_version = 0 
        opt_login = 0 
        opt_nologin = 0 
        dologin_ret = -1 
        opt_user_arg = 0x0 
        opt_login_arg = 0x0 
        opt_session_arg = 0x0 
        opt_config_dir_arg = 0x0 
        plugin_search_paths = {0xf2f1f0 "@^\t", 0xfefff234 "üP\224", 
  0xfefff238 "\230òÿþÔ\n\204"} 
        sig_indx = -16780218 
        sigset = {__val = {82951, 0 <repeats 31 times>}} 
        prev_sig_disp = (void (*)()) 0 
        opt = 0 
        i = 1 
        gui_check = 0 
        gaimrc = (gchar *) 0xbb31de "adhu:c:vns:" 
        accountsxml = (gchar *) 0x0 
        long_options = {{name = 0xbb31b2 "acct", has_arg = 0, flag = 
0x0, 
    val = 97}, {name = 0xbab905 "help", has_arg = 0, flag = 0x0, val 
= 104}, { 
    name = 0xbb31b7 "loginwin", has_arg = 0, flag = 0x0, val = 110}, 
{ 
    name = 0xbadbdd "user", has_arg = 1, flag = 0x0, val = 117}, { 
    name = 0xbb3c46 "config", has_arg = 1, flag = 0x0, val = 99}, { 
    name = 0xbadf41 "debug", has_arg = 0, flag = 0x0, val = 100}, { 
    name = 0xbad53c "version", has_arg = 0, flag = 0x0, val = 118}, { 
    name = 0xbb3c3c "session", has_arg = 1, flag = 0x0, val = 115}, { 
    name = 0x0, has_arg = 0, flag = 0x0, val = 0}} 
(gdb) 
 
 
Comment 13 Nigel Horne 2004-11-03 10:30:44 EST
I rebuilt gaim from source (gaim.sourceforge.net) and all works fine,
which makes be sure that there's something wrong with the RPM binary,
not my system
Comment 14 Warren Togami 2004-11-03 14:01:04 EST
Not necessarily, because you have been the ONLY PERSON to complain!
Comment 15 Nigel Horne 2004-11-03 14:24:14 EST
Ahah, but if there's one person to find a bug, rest assured it'll be 
me ;-) 
Comment 16 Mark Doliner 2004-11-03 17:28:50 EST
Have you tried uninstalling and reinstalling the official RPM?  Maybe
a file in your RPM just got corrupt somehow?
Comment 17 Nigel Horne 2004-11-04 02:50:42 EST
Yes. I tried that before opening the bug. 
Comment 18 Sertaç Ö. Yıldız 2004-11-17 12:03:55 EST
i also get this on a fc3 machine (actually upgraded to fc3 from rawhide)
but with gaim-1.0.2 all was fine..

$ rpm -q gaim glibc gnutls
gaim-1.0.3-0.FC3
glibc-2.3.3-74
gnutls-1.0.20-3
Comment 19 Sertaç Ö. Yıldız 2004-11-17 12:06:19 EST
Created attachment 106898 [details]
backtrace (without debuginfo installed)
Comment 20 Warren Togami 2004-11-17 14:34:23 EST
backtrace without debuginfo installed is completely useless.
Comment 21 Mark Doliner 2004-11-17 18:32:15 EST
I wouldn't say _completely_ useless, but a new backtrace after installing the debuginfo 
RPM would be more useful.  From the backtrace it looks like a problem with the MSN 
plugin.
Comment 22 Luke Schierer 2004-11-17 20:32:26 EST
are you using the http method for msn? 
Comment 23 Sertaç Ö. Yıldız 2004-11-19 12:18:11 EST
i didn't have time to install gaim-debuginfo (which is about 15M), and now that
i've installed it i can't reproduce the problem...

afaik the updates since then (libxml, xorg-x11*, s-c-u, sound-juicer) don't seem
to be gaim related, so maybe it was due to an online buddy.

i use an icq and two msn accounts, and the problem was due to the msn account
which used http method.
Comment 24 Warren Togami 2005-03-11 22:59:17 EST
Closing due to inactivity and I haven't heard anything like this from
anyone else.

Note You need to log in before you can comment on or make changes to this bug.